VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  config.vm.provider :virtualbox do |vb|
    vb.name = "vlti-school"
    vb.memory = 8192
    vb.cpus = 2
    vb.gui = true
    vb.customize ["modifyvm", :id, "--vram", "16"]
  end

  config.vm.box = "debian/stretch64"

# vagrant-disksize added to get a larger disk
# vagrant-vbguest does not compile properly . installatio  will be done using an ansible playbook
# required_plugins = %w( vagrant-vbguest vagrant-disksize )
  required_plugins = %w( vagrant-disksize )
    _retry = false
    required_plugins.each do |plugin|
        unless Vagrant.has_plugin? plugin
            system "vagrant plugin install #{plugin}"
            _retry=true
        end
    end
    if (_retry)
        exec "vagrant " + ARGV.join(' ')
    end
  config.disksize.size = "50GB"

  config.vm.synced_folder '.', '/vagrant', disabled: true

  config.vm.provision :ansible do |ansible|
#    ansible.verbose = "vvv"
    ansible.playbook = "school-playbook.yml"
  end
end
